39
Customers have installed this add-on in at least 39 active instances.
    by Hugh McManusfor Bitbucket Server 4.0.0 - 4.11.2 and more versions
    Versions available for Bitbucket Server 3.9.2 - 3.11.6
    Unsupported
    This add-on isn't formally supported, but you can ask a question via Atlassian Answers.

    Ask a question

    Unsupported
    This add-on isn't formally supported, but you can ask a question via Atlassian Answers.

    Ask a question

    Get it nowFree add-on

    Rejects pushes to stash when the commits contain invalid yaml files

    Rejects pushes to stash when the commits contain invalid yaml files

    Enabled on a per repository basis

    A reject from the command line

    A reject from SourceTree

    You can enable/disable this plugin in the hooks settings on the repository.

    This screen shot shows the explanation from the command line when attempting to push to the repository.

    This shows the reject of the push in a GUI application

    More details

    This is a fail fast plugin. When the first invalid yaml file is encountered it fails without checking the rest of the file. At that point you can commit the fix and attempt another push, at which point it will run until if finds another invalid file where it will inform the user.

    User reviews

    (1)
    Sign in to write a review »
    by Nathan DeKlepper on 2016-11-08
    Great plugin, convenient, reliable, and free!
    Was this review helpful?YesNo

    Pricing

    Support

    yaml-validator-hook isn't formally supported.

    Versions

    Version 3.1.2 Bitbucket Server 4.0.0 - 4.11.2 Released 2016-11-08

    Summary

    Update to bitbucket version 4.11.0

    Details

    Just a normal update version to the latest version

    Installation

    1. Log into your Bitbucket instance as an admin.
    2. Click the admin dropdown and choose Add-ons. The Manage add-ons screen loads.
    3. Click Find new add-ons from the left-hand side of the page.
    4. Locate yaml-validator-hook via search. Results include add-on versions compatible with your Bitbucket instance.
    5. Click Install to download and install your add-on.
    6. You're all set! Click Close in the Installed and ready to go dialog.

    To find older yaml-validator-hook versions compatible with your instance, you can look through our version history page.

    Similar add-ons